#include <ESP8266WiFi.h>  // کتابخانه وای فای
#include <GyverNTP.h>  //کتابخانه NTP
GyverNTP ntp(16200);   //ایجاد یک شی از کلاس کتابخانه

void setup() {
  
  pinMode(LED_BUILTIN, OUTPUT);
  Serial.begin(115200);
  WiFi.begin("ssid", "passwd");  //اتصال به وای فای
  while (WiFi.status() != WL_CONNECTED) delay(100);
  Serial.println("Connected");
  ntp.begin();  //راه اندازی سرویس NTP
  

}

void loop() {
  ntp.tick(); 
  
  if (ntp.ms() == 500) {  //در صورتیکه زمان به 500 میلی ثانیه رسید:
    delay(1);
    digitalWrite(LED_BUILTIN, 0);
    Serial.println(ntp.timeString()); //نمایش زمان ره فرمت ساعت دقیقه ثانیه
    Serial.println(ntp.dateString());  //نمایش تاریخ به فرمت روز ماه سال
    Serial.println();
  }
}
